[Numpy-discussion] linalg.svd not working?

David Cournapeau david@ar.media.kyoto-u.ac...
Wed May 6 02:45:59 CDT 2009


Muhammad Alkarouri wrote:
>> Date: Tue, 5 May 2009 09:24:53 -0600
>> From: Charles R Harris <charlesr.harris@gmail.com>
>>     
> ...
>   
>> This is almost always an ATLAS problem. Where did your
>> ATLAS come from and
>> what distro are you running?
>>     
>
> You are probably right. I compiled and installed ATLAS from source. The distro is Redhat Enterprise Linux 4. I had to because the ones from the distro are compiled targetting 64-bit architecture. 
>
> I largely followed the instructions at http://www.scipy.org/Installing_SciPy/Linux#head-eecf834fad12bf7a625752528547588a93f8263c . Built lapack 3.1.1, then copied the library to ATLAS and compiled per instructions. The compilers are CC='gcc -m32' version 3.4.4 (enforcing 32 bit compilation), g77 3.4.4. At various points I needed to define flags to ensure 32 bits, though not in numpy compilation. I have gfortran on the system but I didn't use it.
>   

What does ldd lapack_lite.so returns (lapack_lite.so is in numpy/linalg,
in your installed directory) ? It may be that numpy uses gfortran,
whereas ATLAS is built with g77. gfortran and g77 should not be mixed,

cheers,

David


More information about the Numpy-discussion mailing list